Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am trying to install a Hercules Webcam Deluxe on my Ubuntu 11.10 (64 bits). I followed this guide:

https://help.ubuntu.com/community/Ov51x

Step by step, only changing

wget http://www.rastageeks.org/downloads/ov51x-jpeg/ov51x-jpeg-1.5.4.tar.gz

by 1.5.9, because that is the latest version.

I get stacked here:

2.4. Prepare the installation files

make

2.5. Compile

Compile the modules:

sudo make install

Because, when I enter that in a terminal, I get this error:

make: *** No hay objetivos.  Alto.

For you, non Spanish-speaking-people, that is roughly translated as: "There are no objectives. Stop"

So... what can I do?

Thanks

Edit:

Terminal output:

    Configurando build-essential (11.5ubuntu1) ...
mrpotato@mrsobremesa:~$ wget http://www.rastageeks.org/downloads/ov51x-jpeg/ov51x-jpeg-1.5.9.tar.gz
--2011-12-08 03:33:47--  http://www.rastageeks.org/downloads/ov51x-jpeg/ov51x-jpeg-1.5.9.tar.gz
Resolviendo www.rastageeks.org... 213.251.174.188
Conectando a www.rastageeks.org|213.251.174.188|:80... conectado.
Petición HTTP enviada, esperando respuesta... 200 OK
Longitud: 88197 (86K) [application/x-gzip]
Guardando en: «ov51x-jpeg-1.5.9.tar.gz.1»

100%[======================================>] 88.197       245K/s   en 0,4s    

2011-12-08 03:33:47 (245 KB/s) - «ov51x-jpeg-1.5.9.tar.gz.1» guardado [88197/88197]

mrpotato@mrsobremesa:~$ tar -xvf ov51x-jpeg-1.5.9.tar.gz
ov51x-jpeg-1.5.9/
ov51x-jpeg-1.5.9/test/
ov51x-jpeg-1.5.9/test/Makefile
ov51x-jpeg-1.5.9/test/getjpeg.c
ov51x-jpeg-1.5.9/Makefile
ov51x-jpeg-1.5.9/ov51x-jpeg-core.c
ov51x-jpeg-1.5.9/ov518-decomp.c
ov51x-jpeg-1.5.9/ov51x-jpeg.h
ov51x-jpeg-1.5.9/ov519-decomp.c
ov51x-jpeg-1.5.9/ov511-decomp.c
ov51x-jpeg-1.5.9/ov7670.h
ov51x-jpeg-1.5.9/ChangeLog
mrpotato@mrsobremesa:~$ cd ov51x-jpeg-1.5.9
mrpotato@mrsobremesa:~/ov51x-jpeg-1.5.9$ make
make: *** No hay objetivos.  Alto.
mrpotato@mrsobremesa:~/ov51x-jpeg-1.5.9$ sudo make
make: *** No hay objetivos.  Alto.
mrpotato@mrsobremesa:~/ov51x-jpeg-1.5.9$ 
share|improve this question
    
Most of the time make errors are due to missing dependencies. Can you please post or pastebin the 5-10 lines above that error message? Also, check the README for dependencies. –  bodhi.zazen Dec 8 '11 at 0:05
    
There is no readme file in the download, nor in the rastageeks website, which is full of spam. I didn't get any error :S Anyway, I copied what my terminal shows. –  Cmorales Dec 8 '11 at 2:39
    
FYI - You should probably run make as a user, without sudo. You only need sudo for make install. Did you install build-essential ? –  bodhi.zazen Dec 8 '11 at 2:45
    
I did, it's in the first line of the output: "Configurando build-essential (11.5ubuntu1) ..." The "sudo" thing is just that I tried it with and without, just in case it was because of that. –  Cmorales Dec 8 '11 at 12:58
1  
I am. I haven't tried antything new,I gave up. A friend of mine promised to help me, though, so I'll update this if I get a solution. –  Cmorales Jan 26 '12 at 23:04

1 Answer 1

up vote 1 down vote accepted

If you take a look at the Makefile, you can find the source is for 2.6 kernel. After manually modifying the 2.6 to 3.0, you will be able to compile, but more missing files you will expect.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.